×
INDI Library v1.8.5 Released (19 Apr 2020)

April 2020 release of INDI Library v1.8.5 introduces new drivers while providing fixes and improvements to existing devices and core framework.

Can not install on ubuntu 20.04/RPI 4 - SOLVED!

2 months 1 week ago 2 months 1 week ago by universalmaster.
universalmaster
Gold Boarder
Gold Boarder
Posts: 200
More
Topic Author
Can not install on ubuntu 20.04/RPI 4 - SOLVED! #52510
Hi!

I have a fresh install of Ubuntu 20.04 on a RPI 4 and Indi+kstars (stable) does not install:

pi@ubuntu:~$ sudo apt-get install indi-full kstars-bleeding
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
indi-full : Depends: indi-toupbase but it is not installable
Depends: indi-talon6 but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Kstars-bleeding by itself does install., So the problem seems to be with Indi.

Please Log in or Create an account to join the conversation.

2 months 1 week ago
avarakin
Expert Boarder
Expert Boarder
Posts: 100
More
Can not install on ubuntu 20.04/RPI 4 - SOLVED! #52631
indi-full includes all indi drivers and it is unlikely you need all of them. Try to install only needed drivers.
Alex

Please Log in or Create an account to join the conversation.

2 months 1 week ago
universalmaster
Gold Boarder
Gold Boarder
Posts: 200
More
Topic Author
Can not install on ubuntu 20.04/RPI 4 - SOLVED! #52645
Yes, that works, but I guess the best thing would be to fix the package or the install instructions for other people to also be able to install Indi....

Please Log in or Create an account to join the conversation.

2 months 1 week ago
avarakin
Expert Boarder
Expert Boarder
Posts: 100
More
Can not install on ubuntu 20.04/RPI 4 - SOLVED! #52709
@universalmaster
I was able to install all indi drivers.
Can you try again?
I am using 32 bit version.

Alex

Please Log in or Create an account to join the conversation.

2 months 1 week ago 2 months 1 week ago by Kaczorek.
Kaczorek
Moderator
Moderator
Posts: 901
Karma: 6
More
Can not install on ubuntu 20.04/RPI 4 - SOLVED! #52711
Are you guys aware that Ubuntu 20.04 was released 3 days ago? And none of INDI/KStars packages are not compiled for Ubuntu 20.04 yet.
Hold your horses ;-)

--
Radek Kaczorek
Astroberry Server | NEQ6 | Atik 460EX | Atik EFW2 | ASI 120MM

Please Log in or Create an account to join the conversation.

2 months 1 week ago
avarakin
Expert Boarder
Expert Boarder
Posts: 100
More
Can not install on ubuntu 20.04/RPI 4 - SOLVED! #52713
Everything is available from PPA and installed just fine. Doing some testing right now.

Please Log in or Create an account to join the conversation.

2 months 1 week ago
universalmaster
Gold Boarder
Gold Boarder
Posts: 200
More
Topic Author
Can not install on ubuntu 20.04/RPI 4 - SOLVED! #52719
I can confirm that 'apt install indi-full' is working now. Thanks for fixing it so quickly :-)

I'm on RPI 4 with 64 bit ubuntu.

Please Log in or Create an account to join the conversation.

2 months 1 week ago
avarakin
Expert Boarder
Expert Boarder
Posts: 100
More
Can not install on ubuntu 20.04/RPI 4 - SOLVED! #52721
I have done some testing and so far everything seems to be working.
I have no idea why, but 20.04 seems to be much faster than 19.10.

Alex

Please Log in or Create an account to join the conversation.

Time to create page: 0.623 seconds